import { Forwarder } from './Forwarder'
import { HasInTopic } from './AItem'

export class HeatingScene extends Forwarder {
    constructor(floor: string, room: string, item: string, label: string, 
        targetItems: HasInTopic[]) {

        let inTopics: string[] = []
        targetItems.forEach((item: HasInTopic) => {
            inTopics.push(item.getInTopic())
        })
    
        super(floor, room, item, "command", label, inTopics)
    }

}
